Skip to main content
GET
/
api
/
apis
/
oauth
/
{apiId}
List OAuth clients.
curl --request GET \
  --url https://{tenant}/api/apis/oauth/{apiId} \
  --header 'Authorization: Bearer <token>'
{
  "apps": [
    {
      "client_id": "2a06b398c17f46908de3dffcb71ef87d",
      "client_name": "",
      "dcr_registration": {
        "access_token": "",
        "client_uri": "",
        "provider": ""
      },
      "description": "google client",
      "meta_data": {
        "user_id": "362b3fb9a1d5e4f00017226f5"
      },
      "policy_id": "665d51505715ec2d76022c87",
      "redirect_uri": "https://httpbin.org/ip",
      "secret": "MmQwNTI5NGQtYjU0YS00NjMyLWIwZjktNTZjY2M1ZjhjYWY0"
    }
  ],
  "pages": 1
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

apiId
string
required

The API’s ID.

Response

Fetched successfully.

apps
object[] | null
pages
integer